Page MenuHomePhabricator

Add python3 support for stewardbots
Closed, ResolvedPublic

Description

Python 2.7 will reach the end of its life on January 1st, 2020.

Event Timeline

Melos created this task.Feb 13 2019, 11:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2019, 11:40 AM
MarcoAurelio triaged this task as High priority.Oct 13 2019, 11:27 AM

@Rxy said this needs to be done by the end of this year or earlier.

Change 562859 had a related patch set uploaded (by Xqt; owner: Xqt):
[labs/tools/stewardbots@master] [PY2to3] Enable StewardBot with Python 3

https://gerrit.wikimedia.org/r/562859

Xqt claimed this task.Jan 8 2020, 4:00 PM
Legoktm changed the status of subtask T216022: Add python3 support for ElectionBot from Open to Stalled.Jan 17 2020, 10:34 AM
Melos closed this task as Resolved.Feb 10 2020, 4:44 PM